package com.ningdatech.pmapi.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.pmapi.user.entity.UserInfo;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Lierbao
 * @since 2023-02-01
 */
public interface IUserInfoService extends IService<UserInfo> {

    UserInfo getUserInfoByPhoneNo(String phoneNo);

    UserInfo getUserInfoByEmployeeCode(String employeeCode);

    List<UserInfo> getUserInfoByEmployeeCodes(Collection<String> employeeCodes);
}
